; AutoIt Version: 3.3.0
; Language:       English
; Platform:       Win9x/NT
; Author:         yanni

#NoTrayIcon
#include <GUIConstantsEx.au3>
#include <WindowsConstants.au3>
#include <StaticConstants.au3>
#include <ButtonConstants.au3>
#Include <String.au3>
#Include <Misc.au3>

If _Singleton("liveipconfig", 0)=0 Then
	Exit
EndIf

$liveipconfig=(@scriptdir & "\liveip.ini")
$liveipbin=(@scriptdir & "\liveipplus.exe")

if $cmdline[0]=0 then
exit
endif

if FileExists($liveipbin)=0 then
msgbox(48, "liveip error", "liveip executable can't be found. please reinstall liveip.  ", 4)
exit
endif

if $cmdline[1]=("end") then
processclose("liveipplus.exe")
elseif $cmdline[1]=("config") then
liveipopt()
else
exit
endif

func liveipopt()
$dispwanip=IniRead($liveipconfig , "liveip settings", "wan", "0" )
$dispcountry=IniRead($liveipconfig , "liveip settings", "country", "0" )
$disptitle=IniRead($liveipconfig , "liveip settings", "title", "0" )
$main = GUICreate("LiveIP+ Options", 300, 174, -1, -1, BitOR($WS_SYSMENU, $WS_EX_TOPMOST))
GUICtrlCreatepic (@scriptdir & "\liveip.bmp", 11, 7, 61, 43)
GUICtrlCreateLabel ( "displays local && domain ip in km statusbar",79, 5 , 210 , 20)
GUICtrlCreateLabel ( "additional displays:",84, 30 , 210 , 20)
$wanip=GUICtrlCreateCheckbox ( "display wan ip ", 84, 45 )
$countip=GUICtrlCreateCheckbox ( "display domain country ", 84, 65 )
$titleip=GUICtrlCreateCheckbox ( "display domain ip in titlebar ", 84, 85 )
$apply = GUICtrlCreateButton("apply", 114, 120, 80, 20)
$neg = GUICtrlCreateButton("cancel", 204, 120, 80, 20)
if $dispwanip=1 then
GUICtrlSetState($wanip, $GUI_CHECKED)
endif
if $dispcountry=1 then
GUICtrlSetState($countip, $GUI_CHECKED)
endif
if $disptitle=1 then
GUICtrlSetState($titleip, $GUI_CHECKED)
endif
GUISetState()
WinSetOnTop ( "LiveIP+ Options", "", 1)
While 1
$msg = GUIGetMsg()
select

Case $msg =$apply
$wanipstat=GUICtrlRead($wanip)
$countipstat=GUICtrlRead($countip)
$titleipstat=GUICtrlRead($titleip)
if $wanipstat=1 then
iniwrite($liveipconfig , "liveip settings", "wan", "1" )
else
iniwrite($liveipconfig , "liveip settings", "wan", "0" )
endif
if $countipstat=1 then
iniwrite($liveipconfig , "liveip settings", "country", "1" )
else
iniwrite($liveipconfig , "liveip settings", "country", "0" )
endif
if $titleipstat=1 then
iniwrite($liveipconfig , "liveip settings", "title", "1" )
else
iniwrite($liveipconfig , "liveip settings", "title", "0" )
endif
processclose("liveipplus.exe")
ProcessWaitClose("liveipplus.exe",3 )
run($liveipbin)
exit

Case $msg = $neg
exit

Case $msg = $GUI_EVENT_CLOSE
exit
Endselect
WEnd
EndFunc

